<?php

namespace Teknisa\CNC\Services;
use Teknisa\Libs\Util\Environment;
use Teknisa\CNC\Utilities\UtilCNC;
use Teknisa\CNC\Factories\Cnc02000RelVendaInexisAdqFactory;

class Cnc02000RelVendaInexisAdqService {
    protected $entityManager;
    protected $factory;
    protected $environment;
    protected $util;
    
    public function __construct (\Doctrine\ORM\EntityManager $entityManager,Environment $environment, Cnc02000RelVendaInexisAdqFactory $factory, UtilCNC $util) {
        $this->entityManager = $entityManager;
        $this->environment = $environment;
        $this->factory = $factory;
        $this->util = $util;
    }

    public function getnotExistAcquireSells ($params) {
        $result = $this->factory->getnotExistAcquireSells(array(
            ':NRORG' => $this->environment->getNrOrgTrab(),
            ':CDFILIAL'   => $params[0]['value'],
            ':DTVENDAINI' => $params[1]['value'],
            ':DTVENDAFIN' => $params[2]['value'],
            ':VRVENDAINI' => $params[3]['value'],
            ':VRVENDAFIN' => $params[4]['value'],
            ':P_TVRVENDA' => $params[5]['value']
        ));
                
        return $result;
    }

}
